@tailwind base;
@tailwind components;
@tailwind utilities;

/* Define fonts */
@import url('https://fonts.googleapis.com/css2?family=Noe+Display:wght@400;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Merriweather:wght@400;700&display=swap');

/* Define custom font classes */
.font-noe {
  font-family: 'Noe Display', sans-serif;
}

.font-merriweather {
  font-family: 'Merriweather', serif;
}

/* Define styles for headings */
h1 {
    @apply text-4xl font-bold dark:text-white font-noe p-2;
}

h2 {
    @apply text-3xl font-semibold dark:text-gray-200 font-merriweather p-2;
}

h3 {
    @apply text-2xl font-semibold dark:text-teal-500 font-merriweather p-2;
}

/* Additional text styles */
p {
    @apply text-base text-primary dark:text-gray-400 font-merriweather p-2;
}
